Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.settoremerceologico.vo.createsettoremerceologico
Class CreateSettoreMerceologicoRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.settoremerceologico.vo.createsettoremerceologico.CreateSettoreMerceologicoRequest

    public class CreateSettoreMerceologicoRequest

extends java.lang.Object

Dati di input del servizio setCreateSettoreMerceologico.

Field Summary
`private java.lang.String` | `codSettore` Codice identificativo del settore merceologico.
`private java.lang.String` | `codSettoreSuperiore` Codice identificativo del settore merceologico superiore.
`private java.lang.String` | `nomeSettore` Nome del settore merceologico.

Constructor Summary
`CreateSettoreMerceologicoRequest()`

Method Summary
`java.lang.String` | `getCodSettore()`
`java.lang.String` | `getCodSettoreSuperiore()`
`java.lang.String` | `getNomeSettore()`
`void` | `setCodSettore(java.lang.String codSettore)`
`void` | `setCodSettoreSuperiore(java.lang.String codSettoreSuperiore)`
`void` | `setNomeSettore(java.lang.String nomeSettore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codSettore

    @Facets(minLength=1L,
            maxLength=9L)
    @MinOccurs(value=1L)
    private java.lang.String codSettore

  Codice identificativo del settore merceologico.

### codSettoreSuperiore

    @Facets(maxLength=9L)
    @MinOccurs(value=0L)
    private java.lang.String codSettoreSuperiore

  Codice identificativo del settore merceologico superiore.

### nomeSettore

    @Facets(minLength=1L,
            maxLength=250L)
    @MinOccurs(value=1L)
    private java.lang.String nomeSettore

  Nome del settore merceologico.

Constructor Detail

### CreateSettoreMerceologicoRequest

    public CreateSettoreMerceologicoRequest()

Method Detail

### getCodSettore

    public java.lang.String getCodSettore()

### getCodSettoreSuperiore

    public java.lang.String getCodSettoreSuperiore()

### getNomeSettore

    public java.lang.String getNomeSettore()

### setCodSettore

    public void setCodSettore(java.lang.String codSettore)

### setCodSettoreSuperiore

    public void setCodSettoreSuperiore(java.lang.String codSettoreSuperiore)

### setNomeSettore

    public void setNomeSettore(java.lang.String nomeSettore)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD